Name:           ansiblegui
Version:        1.0.2-1
Release:        1%{?dist}
Summary:        GUI for Ansible Playbook Management

License:        GPL-2.0-or-later
URL:            https://farmlend.ru
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  qt5-qtbase-devel
BuildRequires:  yaml-cpp-devel
BuildRequires:  spdlog-devel
BuildRequires:  libssh-devel
BuildRequires:  desktop-file-utils

Requires:       qt5-qtbase
Requires:       yaml-cpp
Requires:       spdlog
Requires:       libssh

%description
A graphical user interface for managing and executing Ansible playbooks.

%prep
%autosetup

%build
%cmake
%cmake_build

%install
%cmake_install

# Install desktop file
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{name}.desktop

# Install icons
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/16x16/apps
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/64x64/apps
install -p -m 644 icons/app_icon_16.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -p -m 644 icons/app_icon_32.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -p -m 644 icons/app_icon_64.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{name}.png

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png

%changelog
* Wed Dec 25 2023 Rail Gilyazov <r.gil@farmlend.ru> - 1.0.2-1
- Bug fixes
